<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:21 PST 2021 -->
<title>org.apache.nutch.fetcher Class Hierarchy (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.nutch.fetcher Class Hierarchy (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/exchange/jexl/package-tree.html">Prev</a></li>
<li><a href="../../../../org/apache/nutch/hostdb/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/fetcher/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.apache.nutch.fetcher</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">org.apache.hadoop.conf.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configured.html?is-external=true" title="class or interface in org.apache.hadoop.conf"><span class="typeNameLink">Configured</span></a> (implements org.apache.hadoop.conf.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a>)
<ul>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/NutchTool.html" title="class in org.apache.nutch.util"><span class="typeNameLink">NutchTool</span></a>
<ul>
<li type="circle">org.apache.nutch.fetcher.<a href="../../../../org/apache/nutch/fetcher/Fetcher.html" title="class in org.apache.nutch.fetcher"><span class="typeNameLink">Fetcher</span></a> (implements org.apache.hadoop.util.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/util/Tool.html?is-external=true" title="class or interface in org.apache.hadoop.util">Tool</a>)</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.apache.nutch.fetcher.<a href="../../../../org/apache/nutch/fetcher/FetcherThreadEvent.html" title="class in org.apache.nutch.fetcher"><span class="typeNameLink">FetcherThreadEvent</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">org.apache.nutch.fetcher.<a href="../../../../org/apache/nutch/fetcher/FetcherThreadPublisher.html" title="class in org.apache.nutch.fetcher"><span class="typeNameLink">FetcherThreadPublisher</span></a></li>
<li type="circle">org.apache.nutch.fetcher.<a href="../../../../org/apache/nutch/fetcher/FetchItem.html" title="class in org.apache.nutch.fetcher"><span class="typeNameLink">FetchItem</span></a></li>
<li type="circle">org.apache.nutch.fetcher.<a href="../../../../org/apache/nutch/fetcher/FetchItemQueue.html" title="class in org.apache.nutch.fetcher"><span class="typeNameLink">FetchItemQueue</span></a></li>
<li type="circle">org.apache.nutch.fetcher.<a href="../../../../org/apache/nutch/fetcher/FetchItemQueues.html" title="class in org.apache.nutch.fetcher"><span class="typeNameLink">FetchItemQueues</span></a></li>
<li type="circle">org.apache.nutch.fetcher.<a href="../../../../org/apache/nutch/fetcher/FetchNode.html" title="class in org.apache.nutch.fetcher"><span class="typeNameLink">FetchNode</span></a></li>
<li type="circle">org.apache.nutch.fetcher.<a href="../../../../org/apache/nutch/fetcher/FetchNodeDb.html" title="class in org.apache.nutch.fetcher"><span class="typeNameLink">FetchNodeDb</span></a></li>
<li type="circle">org.apache.hadoop.mapreduce.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/InputFormat.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce"><span class="typeNameLink">InputFormat</span></a>&lt;K,V&gt;
<ul>
<li type="circle">org.apache.hadoop.mapreduce.lib.input.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce.lib.input"><span class="typeNameLink">FileInputFormat</span></a>&lt;K,V&gt;
<ul>
<li type="circle">org.apache.hadoop.mapreduce.lib.input.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/SequenceFileInputFormat.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce.lib.input"><span class="typeNameLink">SequenceFileInputFormat</span></a>&lt;K,V&gt;
<ul>
<li type="circle">org.apache.nutch.fetcher.<a href="../../../../org/apache/nutch/fetcher/Fetcher.InputFormat.html" title="class in org.apache.nutch.fetcher"><span class="typeNameLink">Fetcher.InputFormat</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.apache.hadoop.mapreduce.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/Mapper.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce"><span class="typeNameLink">Mapper</span></a>&lt;KEYIN,VALUEIN,KEYOUT,VALUEOUT&gt;
<ul>
<li type="circle">org.apache.nutch.fetcher.<a href="../../../../org/apache/nutch/fetcher/Fetcher.FetcherRun.html" title="class in org.apache.nutch.fetcher"><span class="typeNameLink">Fetcher.FetcherRun</span></a></li>
</ul>
</li>
<li type="circle">org.apache.hadoop.mapreduce.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/OutputFormat.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce"><span class="typeNameLink">OutputFormat</span></a>&lt;K,V&gt;
<ul>
<li type="circle">org.apache.hadoop.mapreduce.lib.output.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/output/FileOutputFormat.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce.lib.output"><span class="typeNameLink">FileOutputFormat</span></a>&lt;K,V&gt;
<ul>
<li type="circle">org.apache.nutch.fetcher.<a href="../../../../org/apache/nutch/fetcher/FetcherOutputFormat.html" title="class in org.apache.nutch.fetcher"><span class="typeNameLink">FetcherOutputFormat</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Thread.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Thread</span></a> (implements java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Runnable.html?is-external=true" title="class or interface in java.lang">Runnable</a>)
<ul>
<li type="circle">org.apache.nutch.fetcher.<a href="../../../../org/apache/nutch/fetcher/FetcherThread.html" title="class in org.apache.nutch.fetcher"><span class="typeNameLink">FetcherThread</span></a></li>
<li type="circle">org.apache.nutch.fetcher.<a href="../../../../org/apache/nutch/fetcher/QueueFeeder.html" title="class in org.apache.nutch.fetcher"><span class="typeNameLink">QueueFeeder</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Enum</span></a>&lt;E&gt; (implements java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;T&gt;, java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)
<ul>
<li type="circle">org.apache.nutch.fetcher.<a href="../../../../org/apache/nutch/fetcher/FetcherThreadEvent.PublishEventType.html" title="enum in org.apache.nutch.fetcher"><span class="typeNameLink">FetcherThreadEvent.PublishEventType</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/exchange/jexl/package-tree.html">Prev</a></li>
<li><a href="../../../../org/apache/nutch/hostdb/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/fetcher/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
